Bug 1464504 - Live migration is not configured completely during an OSP9 update
Live migration is not configured completely during an OSP9 update
Status: ON_QA
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleoclient (Show other bugs)
9.0 (Mitaka)
Unspecified Unspecified
high Severity high
: zstream
: 9.0 (Mitaka)
Assigned To: Ollie Walsh
Gurenko Alex
: Triaged, ZStream
Depends On: 1466879 1501470 1501471 1501472 1466878 1501473
Blocks: 1539769 1539770
  Show dependency treegraph
 
Reported: 2017-06-23 11:19 EDT by Ollie Walsh
Modified: 2018-02-19 16:19 EST (History)
13 users (show)

See Also:
Fixed In Version: python-tripleoclient-2.0.0-15.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1539769 1539770 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ollie Walsh 2017-06-23 11:19:55 EDT
Description of problem:
When updating from OSP9 GA to the latest packages that contain the fixes for CVE-2017-2637, an ssh key pair is not be added to the generated passwords.

As a result live-migration is disabled.

Version-Release number of selected component (if applicable):
python-tripleoclient-2.0.0-14.el7ost.noarch

How reproducible:
Always

Steps to Reproduce:
1. Deploy OSP9 GA
2. Update to the latest packages

Actual results:
Live migration over SSH is not configured.

Expected results:
Live migration over SSH is configured.

Additional info:
Live migration should be re-enabled when once a key has been added and the stack is updated.
Comment 1 Ollie Walsh 2017-06-23 13:24:33 EDT
It's just necessary to run openstack overcloud deploy .... after an update. This  will add the ssh key to the generated passwords and update the config.
Comment 2 Lukas Bezdicka 2017-06-23 14:31:39 EDT
I don't like the idea of having to run the deploy. On OSP10 it's ok because --update-plan-only.
Comment 3 Ollie Walsh 2017-06-23 14:35:09 EDT
(In reply to Lukas Bezdicka from comment #2)
> I don't like the idea of having to run the deploy. On OSP10 it's ok because
> --update-plan-only.

It's just a workaround, the fix is to generate update the passwords file when updating.
Comment 4 Benjamin Schmaus 2017-12-19 08:11:49 EST
Any update as to when we will see an errata release?

Note You need to log in before you can comment on or make changes to this bug.